![Image](art/logo.jpg)

<p align="center">

<a href="https://github.com/theIYD/source-me/issues">
  <img src="https://img.shields.io/github/issues/theIYD/source-me.svg">
</a>

<a href="https://github.com/theIYD/source-me/network">
  <img src="https://img.shields.io/github/forks/theIYD/source-me.svg">
</a>

<a href="https://github.com/theIYD/source-me/stargazers">
  <img src="https://img.shields.io/github/stars/theIYD/source-me.svg">
</a>

<a href="https://raw.githubusercontent.com/theIYD/source-me/master/LICENSE">
  <img src="https://img.shields.io/badge/license-MIT-blue.svg">
</a>

<a href="https://twitter.com/intent/tweet?text=Wow:&url=%5Bobject%20Object%5D">
  <img src="https://img.shields.io/twitter/url/https/github.com/theIYD/source-me.svg?style=social">
</a>
</p>

# Source Me

<p align="left"><em>Source Me</em> is a small application which provides the necessary tools while developing a web application. The need for this application was because i was too lazy to go to the web & search for the packages, or fonts, or material design colors. So a small app was to be built to provide the necessary resources in a single click ! <br>The application is built on <a href="https://electron.atom.io/">Electron.</a></p>

#### Show some &hearts; by starring the repository &amp; helping me to grow the app more.

## Preview

![](art/preview.png)


## Features

* **Fonts:** A list of Google Fonts library.
* **CDN:** A list of content delivery networks from *cdnjs*.
* **Material Colors:** A curated list of material colors from Google's Material Design.
* **Icons:** A container full of icons extracted from *[IonIcons](https://ionicons.com)*.
* **Epsum:** It generates epsum paragraphs with the help of *baconepsum* API.


## How To Use

Clone the github repository. You need [Node.js](https://nodejs.org) and [npm](https://www.npmjs.com/) installed your system. Go to terminal:
<br>

```bash

# Clone the repository
$ git clone https://github.com/theIYD/source-me.git

# Go to directory
$ cd source-me

# Install dependencies
$ npm install 

# Start the app
$ npm start

```

###### Note: The app runs currently only on Linux systems.

## Download
You can download the app from [here](https://github.com/theIYD/source-me/releases/tag/0.0.1).
Extract, start and enjoy !

## Thanks To

* [Electron.js](https://electron.atom.io/)
* [Node.js](https://nodejs.org)
* [npm](https://www.npmjs.com/)
* [Google](https://material.io/)
* [CDN](https://cdnjs.com/)
* [IonIcons](https://ionicons.com/)
* [jQuery](https://jquery.com/)
* [BaconEpsum](https://baconipsum.com)
* [Bootstrap](https://getbootstrap.com/)
* [Github](https://github.com/)

<br>

## License 

    Copyright (c) 2017 Idrees Dargahwala

    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the "Software"), to deal
    in the Software without restriction, including without limitation the rights
    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be included in all
    copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE.


